## visad.data.tiff
Class LegacyTiffTools

    java.lang.Object
      visad.data.tiff.LegacyTiffTools

Deprecated. Use loci.formats.TiffTools

public class LegacyTiffTools
extends Object

A utility class for manipulating TIFF files.

Constructor Summary
`LegacyTiffTools()` Deprecated.

Method Summary
`static int` `batoi(byte[] inp)` Deprecated. Translates up to the first 4 bytes of a byte array to an integer.
`static int[]` `getIFDArray(RandomAccessFile readIn, Vector v)` Deprecated. Items in an IFD can be pointers to arrays of data, and not just single items.
`static Hashtable` `getIFDHash(RandomAccessFile readIn)` Deprecated.
`static Hashtable` `getIFDHash(RandomAccessFile readIn, int block_id)` Deprecated.
`static double[]` `getIFDRArray(RandomAccessFile readIn, Vector v)` Deprecated. Items in an IFD can be pointers to arrays of data, and not just single items.
`static int` `getIFDValue(Hashtable h, int id)` Deprecated.
`static int` `getPhotometricInterpretation(RandomAccessFile in)` Deprecated.
`static int[]` `getTIFFDimensions(RandomAccessFile readIn)` Deprecated.
`static boolean` `isIFDArray(Hashtable h, int id)` Deprecated.
`static byte[]` `lzwUncompress(byte[] input)` Deprecated.
`static void` `main(String[] args)` Deprecated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LegacyTiffTools

    public LegacyTiffTools()

  Deprecated.

Method Detail

### getIFDHash

    public static Hashtable getIFDHash(RandomAccessFile readIn)
                                throws IOException

  Deprecated.
  Throws:
    `IOException`

### getIFDHash

    public static Hashtable getIFDHash(RandomAccessFile readIn,
                                       int block_id)
                                throws IOException

  Deprecated.
  Throws:
    `IOException`

### getIFDArray

    public static int[] getIFDArray(RandomAccessFile readIn,
                                    Vector v)
                             throws IOException

  Deprecated.
  Items in an IFD can be pointers to arrays of data, and not just single items. This will return an array of int containing the data pointed to in the IFD. This does not currently handle the type RATIONAL.

  Throws:
    `IOException`

### getIFDRArray

    public static double[] getIFDRArray(RandomAccessFile readIn,
                                        Vector v)
                                 throws IOException

  Deprecated.
  Items in an IFD can be pointers to arrays of data, and not just single items. This will return an array of int containing the data pointed to in the IFD.

  Throws:
    `IOException`

### lzwUncompress

    public static byte[] lzwUncompress(byte[] input)
                                throws IOException

  Deprecated.
  Throws:
    `IOException`

### getPhotometricInterpretation

    public static int getPhotometricInterpretation(RandomAccessFile in)
                                            throws IOException

  Deprecated.
  Throws:
    `IOException`

### batoi

    public static int batoi(byte[] inp)

  Deprecated.
  Translates up to the first 4 bytes of a byte array to an integer.

### getTIFFDimensions

    public static int[] getTIFFDimensions(RandomAccessFile readIn)
                                   throws IOException

  Deprecated.
  Throws:
    `IOException`

### getIFDValue

    public static int getIFDValue(Hashtable h,
                                  int id)

  Deprecated.

### isIFDArray

    public static boolean isIFDArray(Hashtable h,
                                     int id)

  Deprecated.

### main

    public static void main(String[] args)
                     throws IOException

  Deprecated.
  Throws:
    `IOException`